<?php
/**
* @author Fastball Productions
* @package com_fullcourt
* @subpackage components
* @link http://www.fastballproductions.com
* @copyright Copyright (C) 2009-2017 Fastball Productions
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/

/* Change History
  12/09/12 MCrosbie - Added $gameendtime definition
  12/10/12 MCrosbie - Added $extrainfo definition
*/

defined('_JEXEC') or die('Restricted access');

class TableSchedule extends JTable {
	var	$id = null;
	var $season	= null;
	var $leagueid = null;
	var $divisionid = null;
	var $visitingteam = null;
	var $hometeam = null;
	var $gamedatetime = null;
	var $gametimezone = null;
	var $gameendtime = null;
	var $gametype = null;
	var $extrainfo = null;
	var $location = null;
	var $field = null;
	var $status	= null;
	var $scored = null;
	var $published = null;

	function __construct(&$db) {
		parent::__construct( '#__fullcourt_schedule', 'id', $db );
	}

	function check() {
		$field = JFactory::getApplication()->input->get('field', '');
		if (!$field) {
			$this->field = '';
		}
		$this->gamedatetime = JFactory::getApplication()->input->get('gdate', '0000-00-00') . ' ' . JFactory::getApplication()->input->get('gtime', '00:00:00');
		$this->gameendtime = JFactory::getApplication()->input->get('gdate', '0000-00-00') . ' ' . JFactory::getApplication()->input->get('gendtime', '00:00:00');	/* MCrosbie - 12/09/12 */
		$this->gametimezone = strtoupper($this->gametimezone);
		return true;
	}
}
?>
