<?php
/**
* @author Fastball Productions
* @package com_fullcourt
* @copyright Copyright (C) 2009-2017 Fastball Productions
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/

/* Change History
x   10/27/12 MCrosbie - Added year to Date column
x   12/08/12 MCrosbie - Added End Time column and placed start/end times next to date column.
*/

defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<h1 align="center"><?php echo JText::_('COM_FULLCOURT_SCHEDULE_FOR');?> <?php echo $this->heading;?>&nbsp;&nbsp;
<a href="<?php echo JRoute::_("index.php?view=schedule&layout=print&id=$this->id&tmpl=component&print=1");?>" title="<?php echo JText::_('COM_FULLCOURT_PRINT');?>" onclick="window.open(this.href,'win2','status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=640,height=480,directories=no,location=no'); return false;" rel="nofollow"><img src="<?php echo JURI::base();?>/media/system/images/printButton.png" alt="<?php echo JText::_('COM_FULLCOURT_PRINT');?>" /></a>
&nbsp;&nbsp;
<a href="<?php echo JRoute::_("index.php?format=raw&view=schedule&layout=ical&id=$this->id");?>" title="iCal"><img src="./administrator/components/com_fullcourt/images/ical.gif" width="36" height="14" border="1" alt="iCal" /></a>
<?php if ($this->team && $this->team->facebook && $this->team->mediaschedule) { ?>
&nbsp;&nbsp;<a href="<?php echo $this->team->facebook;?>" target="_blank"><img src="<?php echo JURI::base() . $this->params->get('images_path');?>/facebook-logo-16.png" alt="<?php echo $this->team->facebook;?>" title="Facebook" /></a>
<?php } ?>
</h1>
<center>
<a href="<?php echo JRoute::_("index.php?view=schedule&layout=calendar&id=$this->id&month=$this->currentmonth&year=$this->currentyear");?>"><?php echo JText::_('COM_FULLCOURT_CALENDAR');?></a>
&nbsp;&nbsp;|&nbsp;&nbsp;
<a href="<?php echo JRoute::_("index.php?view=schedule&layout=month&id=$this->id&month=$this->currentmonth&year=$this->currentyear");?>"><?php echo JText::_('COM_FULLCOURT_MONTH');?></a>
&nbsp;&nbsp;|&nbsp;&nbsp;
<a href="<?php echo JRoute::_("index.php?view=schedule&layout=day&id=$this->id&day=$this->currentday&month=$this->currentmonth&year=$this->currentyear");?>"><?php echo JText::_('COM_FULLCOURT_DAY');?></a>
&nbsp;&nbsp;|&nbsp;&nbsp;
<a href="<?php echo JRoute::_("index.php?view=schedule&id=$this->id");?>"><?php echo JText::_('COM_FULLCOURT_FULL_SCHEDULE');?></a>
<?php if ($this->isfrontendadmin) { ?>
&nbsp;&nbsp;|&nbsp;&nbsp;
<a href="<?php echo JRoute::_("index.php?view=admin");?>"><?php echo JText::_('COM_FULLCOURT_ADMIN_MENU');?></a>
<?php } ?>
&nbsp;&nbsp;|&nbsp;&nbsp;
<a href="javascript:history.go(-1);" class="button">&laquo; <?php echo JText::_('COM_FULLCOURT_GO_BACK');?></a>
</center>
<br />
<table border="0" cellpadding="0" cellspacing="0" class="bb_table_wide" width="100%">
	<tr>
		<th nowrap><?php echo JText::_('COM_FULLCOURT_DATE');?></th>
		<th><?php echo JText::_('COM_FULLCOURT_TIME');?></th>
		<?php if (!$this->id) { ?>
		<th><?php echo JText::_('COM_FULLCOURT_VISITOR');?></th>
		<th><?php echo JText::_('COM_FULLCOURT_HOME');?></th>
		<?php } else { ?>
		<th><?php echo JText::_('COM_FULLCOURT_OPPONENT');?></th>
		<?php } ?>
		<th><?php echo JText::_('COM_FULLCOURT_LOCATION');?></th>
		<th><?php echo JText::_('COM_FULLCOURT_TIME');?></th>
		<th><?php echo JText::_('COM_FULLCOURT_RESULT');?></th>
	</tr>
	<?php foreach ($this->schedule as $row) { ?>
	<?php if ($row->hometeamid == 0) { ?>
	<?php $hometeam = 'TBA';?>
	<?php } else { ?>
	<?php $hometeam = $row->hometeam; ?>
	<?php } ?>
	<?php if ($row->visitingteamid == 0) { ?>
	<?php $visitingteam = 'TBA';?>
	<?php } else { ?>
	<?php $visitingteam = $row->visitingteam; ?>
	<?php } ?>
	<tr>
		<td nowrap><?php echo date('D n/d/y', strtotime($row->gamedate));?></td>
		<td>
			<?php if (!$this->id) { ?>
			<?php if ($row->gametype == 'Practice') { ?>
			<?php echo $hometeam;?>
			<?php } else { ?>
			<?php echo $visitingteam;?>
			<?php } ?>
			<?php } else { ?>
			<?php if ($row->visitingteamid == $this->id) { ?>
			<?php echo '@ ' . $hometeam . ' / ' . $row->gametype;?>
			<?php } else if ($row->gametype == 'Practice') { ?>
			<?php echo $row->gametype;?>
			<?php } else { ?>
			<?php echo $row->visitingteam . ' / ' . $row->gametype;?>
			<?php } ?>
			<?php } ?>
		</td>
		<?php if (!$this->id) { ?>
		<td>
			<?php echo $hometeam;?>
			<?php echo ' / ' . $row->gametype;?>
		</td>
		<?php } ?>
		<td>
			<?php if ($row->address || $row->zipcode) { ?>
			<a href="http://maps.google.com/?ie=UTF8&hl=en&q=<?php echo urlencode($row->address);?>,<?php echo urlencode($row->zipcode);?>&f=q&sampleq=1" target="popup" onClick="wopen('http://maps.google.com/?ie=UTF8&hl=en&q=<?php echo urlencode($row->address);?>,<?php echo urlencode($row->zipcode);?>&f=q&sampleq=1', 'popup', 850, 600); return false;">
			<?php } ?>
			<?php if ($row->field) { ?>
			<?php echo $row->fieldname . ', ' . $row->field;?>
			<?php } else { ?>
			<?php echo $row->fieldname;?>
			<?php } ?>
			<?php if ($row->address && $row->zipcode) { ?>
			</a>
			<?php } ?>
		</td>
		<td>
			<?php if ($row->gametime == "12:00 AM") { ?>
			<?php echo "TBA"; ?>
			<?php } else { ?>
			<?php echo $row->gametime;?>
			<?php } ?>
		</td>
		<?php if ($row->scored) { ?>
		<td>
		<a href="<?php echo JRoute::_("index.php?view=boxscore&id=$row->id");?>">
			<?php if ($row->visitingscore == $row->homescore) { ?>
			<?php echo 'T ' . $row->visitingscore . ' - ' . $row->homescore; ?>
			<?php } else if ($row->hometeamid == $this->id) { ?>
			<?php echo $row->homescore > $row->visitingscore ? 'W ':'L ';?>
			<?php echo $row->homescore . ' - ' . $row->visitingscore; ?>
			<?php } else { ?>
			<?php echo $row->homescore < $row->visitingscore ? 'W ':'L ';?>
			<?php echo $row->visitingscore . ' - ' . $row->homescore; ?>
			<?php } ?>
		</a>
		</td>
		<?php } else { ?>
		<td><?php echo $row->status;?></td>
		<?php } ?>
	</tr>
	<?php } ?>
</table>
<div style="text-align: center; margin-top:10px;">
<?php if ($this->team && $this->team->website && $this->team->mediaschedule) { ?>
<strong>Team Website:</strong> <a href="http://<?php echo $this->team->website;?>" target="_blank"><?php echo $this->team->website;?></a>
<?php } ?>
</div>

