<?php
/**
* @version $Id: v1.7.3 August 2012 01:32:15
* @author Fastball Productions
* @package com_fullcourt
* @copyright Copyright (C) 2009-2017 Fastball Productions
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
$editor =  JFactory::getEditor();
?>
<?php JHTML::_('behavior.formvalidation'); ?>
<script type="text/javascript">
Joomla.submitbutton = function(task) {
	if (task == 'canceldivision' || document.formvalidator.isValid(document.id('adminForm'))) {
		Joomla.submitform(task, document.getElementById('adminForm'));
	}
}
</script>
<form action="index.php" method="post" name="adminForm" id="adminForm" class="form-validate">
	<table class="admintable">
		<tr>
			<td><?php echo JText::_('COM_FULLCOURT_LEAGUE');?><span class="star">&#160;*</span></td>
			<td><?php echo $this->leagues;?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('COM_FULLCOURT_DIVISION_IS_PUBLISHED');?><span class="star">&#160;*</span></td>
			<td>
			<input class="inputbox" type="radio" name="published" value="1" <?php echo $this->division->published ? 'checked="checked"':'';?> /> <?php echo JText::_('COM_FULLCOURT_YES');?>
			<input class="inputbox" type="radio" name="published" value="0" <?php echo !$this->division->published ? 'checked="checked"':'';?> /> <?php echo JText::_('COM_FULLCOURT_NO');?>
			</td>
		</tr>
		<tr>
			<td width="160">
			<label id="season-lbl" for="name" class="required"><?php echo JText::_('COM_FULLCOURT_DIVISION_NAME');?></label><span class="star">&#160;*</span>
			</td>
			<td>
				<input class="input required" type="text" name="division" id="division" size="40" maxlength="60" value="<?php echo $this->division->division; ?>" />
			</td>
		</tr>
	</table>
	<input type="hidden" name="option" value="<?php echo JFactory::getApplication()->input->get('option');?>" />
	<input type="hidden" name="id" value="<?php echo $this->division->id;?>" />
	<input type="hidden" name="task" value="" />
</form>
